Loading...
Searching...
No Matches
XdbcFirebirdSqlUtilBase::XdbcFirebirdColumn Class Reference

represents a XdbcFirebird-specific column More...

Inheritance diagram for XdbcFirebirdSqlUtilBase::XdbcFirebirdColumn:
[legend]

## Public Member Functions

| constructor (string name, string native_type, *string qore_type, int size, bool nullable, *string default_value, *string comment, *int scale)
| Creates the column.
softlist< string > | getAddColumnSql (AbstractTable t)
| returns a list of sql strings that can be used to add the column to an existing table
string | getDdlName (string name)
| returns the column name with quoting in case the column name is a reserved word
string | getDropSql (string table_name)
| returns a string that can be used to drop the column from the table
softlist< string > | getModifySqlImpl (AbstractTable t, AbstractColumn col, *hash< auto > opt)
| returns a list of sql strings that can be used to modify the column to the new definition
string | getRenameSql (AbstractTable t, string new_name)
| returns a string that can be used to rename the column

## Protected Member Functions

| constructor ()
| empty constructor for subclasses
bool | equalImpl (AbstractColumn c)
| returns True if the argument is equal to the current object, False if not

## Detailed Description

represents a XdbcFirebird-specific column

## Member Function Documentation

## getAddColumnSql()

softlist< string > XdbcFirebirdSqlUtilBase::XdbcFirebirdColumn::getAddColumnSql | ( | AbstractTable | t | ) |

returns a list of sql strings that can be used to add the column to an existing table

Example:
  list<string> l = col.getAddColumnSql(t);

Parameters

  t | the AbstractTable object to modify

## getDdlName()

string XdbcFirebirdSqlUtilBase::XdbcFirebirdColumn::getDdlName | ( | string | name | ) |

virtual

returns the column name with quoting in case the column name is a reserved word

the name returned here will be used when executing DDL

Implements SqlUtil::AbstractDdlObject.

## getModifySqlImpl()

softlist< string > XdbcFirebirdSqlUtilBase::XdbcFirebirdColumn::getModifySqlImpl | ( | AbstractTable | t,
|  | AbstractColumn | col,
|  | *hash< auto > | opt
| ) |  |

returns a list of sql strings that can be used to modify the column to the new definition

if the column definitions are identical then an empty list is returned

list<string> l = col.getModifySql(t, newcol);

The column names are assumed to be equal.

Parameters

  t | the AbstractTable object to modify
  col | the new column definition
  opt | column modification options (none are supported in this class)

Returns
  a list of sql strings that can be used to modify the column to the new definition; if the column definitions are identical then an empty list is returned

## getRenameSql()

string XdbcFirebirdSqlUtilBase::XdbcFirebirdColumn::getRenameSql | ( | AbstractTable | t,
|  | string | new_name
| ) |  |

returns a string that can be used to rename the column

Example:
  string str = col.getRenameSql(t, "new_name");

Parameters

  t | the AbstractTable object to modify
  new_name | the new name for the column

Returns
  a string that can be used to rename the column